# webify-gemini.sh

A short script to convert entire gemini capsules to websites.

Usage:

```
webify-gemini.sh <Gemini source directory> <HTML source directory> <Capsule address> <Website address>
```

Example:

```
webify-gemini.sh /var/gemini/users/lovetocode999/ /home/lovetocode999/public_html/ gemini://gemini.ctrl-c.club/~lovetocode999/ http://ctrl-c.club/~lovetocode999/
```

This script also creates three files in the specified HTML directory:
* style.css: This file controls the styling of the generated website.
* footer.html: Specifies a site-wide footer
* header.html: Specifies a site-wide header

After the first run these files will not be touched by the script again (unless they are deleted), thereby allowing the user to do whatever they like with them. Note that HTML has no way of `source`ing files, so the header and footer are inserted into the HTML when the script is run, meaning user-created files will not be affected and the changes to the header and footer will not show until the script is run again.
